Bug 43468 - HTMLManagerServlet NullPointerException listing context
HTMLManagerServlet NullPointerException listing context
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Manager application
6.0.14
Sun Solaris
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
http://localhost:8080/manager/html/list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-24 18:46 UTC by Gary Feltham
Modified: 2008-01-17 11:32 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Feltham 2007-09-24 18:46:12 UTC
Obtained the following NullPointerException, stack trace below

java.lang.NullPointerException
	org.apache.catalina.manager.HTMLManagerServlet.list(HTMLManagerServlet.java:437)
	org.apache.catalina.manager.HTMLManagerServlet.doGet(HTMLManagerServlet.java:136)

Code is:

args[11] = new Integer(context.getManager().getMaxInactiveInterval()/60);

Seemingly the getManager() is returning null.
Comment 1 Mark Thomas 2008-01-16 15:50:00 UTC
This has been fixed in trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2008-01-17 11:32:41 UTC
This has been fixed in svn and will be included in 6.0.16 onwards.